Bug 1702075 - Retirement request setting auto approve on request creation.
Summary: Retirement request setting auto approve on request creation.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Tina Fitzgerald
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1697600
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 21:51 UTC by Satoe Imaishi
Modified: 2019-11-19 22:36 UTC (History)
7 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1697600
Environment:
Last Closed: 2019-05-21 05:46:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:04 UTC

Comment 2 CFME Bot 2019-04-24 19:47:07 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/0f5297001698a7a8f27e5bb4500358d1b826af01
commit 0f5297001698a7a8f27e5bb4500358d1b826af01
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Apr  8 17:00:22 2019 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Apr  8 17:00:22 2019 -0400

    Merge pull request #18638 from tinaafitz/retirement_approval_fix

    Retirement - remove auto_approve flag on request creation.

    (cherry picked from commit 0d66d43b274bad97ac5a42a1413b76fb23d20c58)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702075

 app/models/mixins/retirement_mixin.rb | 2 +-
 spec/models/service/retirement_management_spec.rb | 4 +-
 spec/models/vm/retirement_management_spec.rb | 4 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

Comment 3 Niyaz Akhtar Ansari 2019-04-30 11:44:28 UTC
Verified in Version 5.10.4.0.20190424160602_acb6009

Comment 5 errata-xmlrpc 2019-05-21 05:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.